package lbl.akenti.certs;

import lbl.akenti.certs.elements.AkentiPrincipal;
import lbl.akenti.certs.elements.Condition;

public class AttributeCertGenerator extends AkentiCertGenerator {

  public AttributeCertGenerator() {
    super(new AttributeCertificate());
  }

  public void setPrincipal(AkentiPrincipal principal) {
    ((AttributeCertificate) cert).setPrincipal(principal);
  }

  public void setAttribute(String attribute) {
    ((AttributeCertificate) cert).setAttribute(attribute);
  }

  public void setValue(String value) {
    ((AttributeCertificate) cert).setValue(value);
  }

  public void setCondition(Condition condition) {
    ((AttributeCertificate) cert).setCondition(condition);
  }
}
