package lbl.akenti.certs;
 
import java.security.PublicKey;
import lbl.akenti.certs.elements.AkentiPrincipal;
import lbl.akenti.certs.elements.ConditionalActions;

public class CapabilityCertGenerator extends AkentiCertGenerator {

  public CapabilityCertGenerator() {
    super(new CapabilityCertificate());
  }

  public void setResource(String resource) {
    ((CapabilityCertificate) cert).setResource(resource);
  }

  public void setPrincipal(AkentiPrincipal ap) {
    ((CapabilityCertificate) cert).setPrincipal(ap);
  }

  public void setPublicKey(PublicKey publicKey) {
    ((CapabilityCertificate) cert).setPublicKey(publicKey);
  }

  public void setUnConditionalActions(String[] actions) {
    ((CapabilityCertificate) cert).setUnConditionalActions(actions);
  }

  public void setConditionalActions(ConditionalActions[] conditionalActions) {
    ((CapabilityCertificate) cert).setConditionalActions(conditionalActions);
  }
}
