package lbl.akenti.policyEngine.impl;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.HashMap;
import java.util.Map;
import java.util.StringTokenizer;

class RootResources {
  static Map map = new HashMap();
  static String ROOT_RESOURCE_NAME = "RootResourceName ";

  static boolean loadFromFile(String fileName) throws IOException {
    FileInputStream fis = new FileInputStream(fileName);
    BufferedReader br = new BufferedReader(new InputStreamReader(fis));
   
    while (true) {
      String line = br.readLine(); 

      if (line == null) {
        break;
      }

      if (line.startsWith(ROOT_RESOURCE_NAME)) {
        StringTokenizer st = new StringTokenizer(line, " ", false);

        if (st.countTokens() >= 3) {
          st.nextToken();
          String resource = st.nextToken();
          StringBuffer path = new StringBuffer(st.nextToken());

          while (st.hasMoreTokens()) {
            path.append(' '); 
            path.append(st.nextToken()); 
          }

          map.put(resource, path.toString());
        }
      }
    }

    return map.size() > 0;
  }

  static String getRootResourcePath(String root) {
    return (String) map.get(root);
  }
}
