/**
 *  Retrieves the instance of the "Desktop"
 *  @author Jordan Thompson (JordanCThompson@yahoo.com)
 */

package lbl.akenti.policyManager.widgets;

import javax.swing.JDesktopPane;

public class LBLDesktopMaker {
    
    private static JDesktopPane desktop;
    
    public static JDesktopPane getInstance() {
        if (desktop == null) {
            desktop = new JDesktopPane();
        }
        
        return desktop;
    }
    
}