/**
 *  @author Jordan Thompson (JordanCThompson@yahoo.com)
 */

package lbl.akenti.policyManager.widgets.viewer;

public interface ViewerConsts {
    
    // Akenti Certificate specific values
    public static final String ISSUER = "Issuer";
    public static final String VALIDITY_PERIOD = "Validity period";
    public static final String RESOURCE = "Resource";
    
    // Policy Certificate specific values
    public static final String MAXIMUM_ALLOWED_CERTIFICATE_CACHING_TIME = "Maximum allowed certificate caching time";
    public static final String ATTRIBUTE_DIRECTORIES = "Attribute Directories";
    public static final String CERTIFICATE_AUTHORITY_INFOS = "Certificate Authority Infos";
    public static final String USECONDITION_ISSUER_GROUPS = "UseCondition Issuer Groups";

    // Use-Condition Certificate specific values
    public static final String SCOPE = "Scope";
    public static final String ACCESS = "Access";
    public static final String CONSTRAINT = "Constraint";
    public static final String ACTIONS = "Actions";
    
    // Attribute Certificate specific values
    public static final String USER = "User";
    public static final String ATTRIBUTE_VALUE_PAIR = "AttributeValuePair";
    
}
