package lbl.akenti.parsers;

import java.util.HashMap;

public class 
TokenMap implements TokenType {
  private static HashMap TYPES = new HashMap();
 
  static {
    TYPES.put(AND_STRING, new Integer(AND));
    TYPES.put(OR_STRING, new Integer(OR));
    TYPES.put(NOT_STRING, new Integer(NOT));
    TYPES.put(EQ_STRING, new Integer(EQ));
    TYPES.put(NEQ_STRING, new Integer(NEQ));
    TYPES.put(GT_STRING, new Integer(GT));
    TYPES.put(GTE_STRING, new Integer(GTE));
    TYPES.put(LT_STRING, new Integer(LT));
    TYPES.put(LTE_STRING, new Integer(LTE));
    TYPES.put(LPAREN_STRING,  new Integer(LPAREN));
    TYPES.put(RPAREN_STRING, new Integer(RPAREN));
    TYPES.put(INVALID_STRING, new Integer(INVALID));
  }

  /**
    */
  public static int tokenType(String token) {
    Integer type = (Integer) TYPES.get(token);
    
    if (type == null) {
      return CONST;
    }

    return type.intValue();
  }

  /**
    */
  private TokenMap() {
  }

}
