package lbl.akenti.policyEngine; 

import lbl.akenti.certs.Certificate;
import lbl.akenti.certs.elements.AttributeInfo;

public 
interface ExternalEvaluator {

  boolean canHandleSystemAttribute(String attribute);

  boolean evaluateSystemAttribute(int op, AttributeInfo attrInfo);

  boolean canHandleExternalAttribute(String attribute);

  boolean evaluateExternalAttribute(int op, AttributeInfo attrInfo);

  int getCacheInterval();

  Certificate[] getCollectedCertificates();
}
