package lbl.akenti.policyEngine;

import lbl.akenti.certs.elements.Directory;

public interface Runtime {

  /**
    */
  PolicyContext getPolicyContext();

  /**
    */
  TrustVerifier getTrustVerifier();

  /**
    */
  PolicyCollector getPolicyCollector();

  /**
    */
  UseCondCollector getUseCondCollector();

  /**
    */
  ExternalEvaluator getExternalEvaluator();

  /**
    */
  InternalEvaluator getInternalEvaluator();

  /**
    */
  Authorizer getAuthorizer();

  /**
    */
  CertificateCache getCertificateCache();

  /**
    */
  void setPolicyLevel(int level);
  
  /**
    */
  int getPolicyLevel();

  /**
    */
  Directory[] getAttributeDirectories();
}
