package lbl.akenti.test.certs;

import com.sun.net.ssl.internal.ssl.Provider;
import java.security.Security;
import junit.framework.Test;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

/**
  *  TestSuite that runs all the certs tests.
  *  
  *  @author Willie Chin 
  */
public class TestCerts {

  /**
    *
    */
  public static void main(String[] args) {
    TestRunner.run(suite());    
  } 

  /**
    *
    */
  public static Test suite() {
    Security.addProvider(new Provider());     

    TestSuite suite = new TestSuite("Certs test");

    suite.addTestSuite(AttributeCertGeneratorTestCase.class);
    suite.addTestSuite(UseCondCertGeneratorTestCase.class);
    suite.addTestSuite(PolicyCertGeneratorTestCase.class);
    return suite;
  }
}
